%define oname base

Name:           ocaml-%{oname}
Version:        0.13.0
Release:        %mkrel 4
Summary:        Full standard library replacement for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
Patch0:		https://github.com/janestreet/base/commit/6984b0580f828a4f8a9bb5b5769fb685977b080a.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune-devel >= 1.5.1
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-sexplib0-devel >= 0.13

%description
Base is a complete and portable alternative to the OCaml standard
library. It provides all standard functionalities one would expect
from a language standard library. It uses consistent conventions
across all of its module.

Base aims to be usable in any context. As a result system dependent
features such as I/O are not offered by Base. They are instead
provided by companion libraries such as stdio.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
dune build %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc README.org
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs
%{_libdir}/ocaml/stublibs/dllbase_stubs.so
%{_libdir}/ocaml/%{oname}/runtime.js

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml
%{_libdir}/ocaml/%{oname}/*/*.mli
%{_libdir}/ocaml/%{oname}/base_internalhash_types/internalhash.h
%{_libdir}/ocaml/%{oname}/base_internalhash_types/runtime.js
%{_libdir}/ocaml/stublibs/dllbase_internalhash_types_stubs.so



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-4.mga8
+ Revision: 1670430
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-3.mga8
+ Revision: 1551579
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1543655
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1482081
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.1-1.mga7
+ Revision: 1324414
- Update BuildRequires
+ tv <tv>
- new release
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1299835
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-3.mga7
+ Revision: 1242063
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 0.10.0-2.mga7
+ Revision: 1199037
- fix shared stubs libraries ocaml path

* Sat Jan 13 2018 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1192892
- Fix BuildRequires
- Fix BuildRequires
- update to v0.10.0
- imported package ocaml-base

